Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ArgHandlerFlag

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerFlag

Direct Known Subclasses:
  ArgHandlerIgnore, ArgHandlerOverwrite

    public abstract class ArgHandlerFlag

extends ArgHandler

Argument handler for flags that have no parameters.

Constructor Summary
`ArgHandlerFlag()`

Method Summary
`java.lang.String[]` | `getTagArgs()`
`int` | `handle(java.lang.String[] args, int startIndex)`
`boolean` | `isRequired()`
`abstract boolean` | `setFlag()`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getDefaultArgs, getPurpose, getTag, isUndocumented`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerFlag

    public ArgHandlerFlag()

Method Detail

### getTagArgs

    public java.lang.String[] getTagArgs()

  Specified by:
    `getTagArgs` in class `ArgHandler`

### handle

    public int handle(java.lang.String[] args,
                      int startIndex)

  Specified by:
    `handle` in class `ArgHandler`

### isRequired

    public boolean isRequired()

  Overrides:
    `isRequired` in class `ArgHandler`

### setFlag

    public abstract boolean setFlag()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD